commit:     58d764319f83a36cf82020433f5bac7b30105573
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 11 05:24:15 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jun 11 05:24:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58d76431

app-crypt/monkeysphere: respect CC; no Werror

Closes: https://bugs.gentoo.org/832365
Closes: https://bugs.gentoo.org/744430
Bug: https://bugs.gentoo.org/744454
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/monkeysphere-0.44-no-werror.patch        | 12 ++++++++++
 app-crypt/monkeysphere/monkeysphere-0.44.ebuild    | 26 ++++++++++++----------
 2 files changed, 26 insertions(+), 12 deletions(-)

diff --git a/app-crypt/monkeysphere/files/monkeysphere-0.44-no-werror.patch 
b/app-crypt/monkeysphere/files/monkeysphere-0.44-no-werror.patch
new file mode 100644
index 000000000000..671045d7c385
--- /dev/null
+++ b/app-crypt/monkeysphere/files/monkeysphere-0.44-no-werror.patch
@@ -0,0 +1,12 @@
+https://bugs.gentoo.org/832365
+--- a/Makefile
++++ b/Makefile
+@@ -17,7 +17,7 @@ LOCALSTATEDIR ?= /var/lib
+ 
+ CFLAGS += $(shell libassuan-config --cflags)
+ CFLAGS += $(shell libgcrypt-config --cflags)
+-CFLAGS += --pedantic -Wall -Werror -std=c99
++CFLAGS += --pedantic -Wall -std=c99
+ LIBS += $(shell libassuan-config --libs)
+ LIBS += $(shell libgcrypt-config --libs)
+ 

diff --git a/app-crypt/monkeysphere/monkeysphere-0.44.ebuild 
b/app-crypt/monkeysphere/monkeysphere-0.44.ebuild
index c22ae2b8f88c..f8a6c908946d 100644
--- a/app-crypt/monkeysphere/monkeysphere-0.44.ebuild
+++ b/app-crypt/monkeysphere/monkeysphere-0.44.ebuild
@@ -1,22 +1,23 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
+inherit toolchain-funcs
+
 DESCRIPTION="Leverage the OpenPGP web of trust for OpenSSH and Web 
authentication"
 HOMEPAGE="http://web.monkeysphere.info/";
-
-LICENSE="GPL-3"
-SLOT="0/0"
-IUSE=""
 SRC_URI="
        
mirror://debian/pool/monkeysphere/m/monkeysphere/monkeysphere_${PV}.orig.tar.gz
        
http://archive.monkeysphere.info/debian/pool/monkeysphere/m/monkeysphere/monkeysphere_${PV}.orig.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
 KEYWORDS="amd64 ~arm x86"
 
 DOCS=( README Changelog )
 
-## Tests fail upstream for SSH connection. Issue has been reported.
+# Tests fail upstream for SSH connection. Issue has been reported.
 RESTRICT="test"
 
 DEPEND="acct-group/monkeysphere
@@ -26,19 +27,20 @@ DEPEND="acct-group/monkeysphere
        dev-perl/Crypt-OpenSSL-RSA:0=
        dev-perl/Digest-SHA1:0=
        app-misc/lockfile-progs:0="
-
 RDEPEND="${DEPEND}
        net-misc/openssh"
 
-PATCHES=( "${FILESDIR}"/${PN}-0.44-install-uncompressed-man-pages.patch )
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.44-install-uncompressed-man-pages.patch
+       "${FILESDIR}"/${PN}-0.44-no-werror.patch
+)
 
 src_prepare() {
        default
 
-       sed -i \
-               -e "s#share/doc/monkeysphere#share/doc/${PF}#" \
-               Makefile \
-               || die
+       sed -i -e "s#share/doc/monkeysphere#share/doc/${PF}#" Makefile || die
+
+       tc-export CC
 }
 
 pkg_postinst() {

Reply via email to